MacChess 3.0.e Manual  by Wim van Beusekom  Rotterdam October 1997

MacChess 3.0.e is Freeware (postcard ware) and consists of six files:
the application file, a data file, and four text files:

- MacChess 3.0.e program; 692,852 bytes.
- MacChess Opening Book; MacChess 3.0 document 151,052 bytes.

- ~Manual MacChess 3.0.e; SimpleText document 15,751 bytes.
- ~History of MacChess;   SimpleText document  6,699 bytes.
- ~New in MacChess 3.0.e; SimpleText document  1,281 bytes.
- ~New in MacChess 3.0;   SimpleText document  3,452 bytes.

As well as some supplementary information, games and tests:

- Folder DOCC 1996; DOCC = Dutch Open Championship Computer Chess.
  96DOCC Cross txt, 96DOCC Ranking txt, 96DOCC RankingGames.txt,
  96DutchOCC.pgn and a folder 96DOCC Games MacChess
- Folder Mate examples: MC example M02, MC example M10, MC example M11
- Folder Testen: Serie CCR and a folder CCR
- Folder EPD tests:
  LCTII.epd, BT 2630.epd, CCR.epd, Maresch.epd, Win at Chess.epd
- Folder Test Instructions: CCR Instructions/Results,
  BT2630 Instructions, LCII Instructions,  Maresch Instructions

SYSTEM REQUIREMENTS

MacChess requires a Power Macintosh.
MacChess has been tested on a Power Mac 6100, Power Mac 7600, Power Mac 8500 
and Power Mac with a 200 MHz 604e processor.
Please let me know of any problems with other Power Macintosh models.

MEMORY AND TRANSPOSITION TABLES

MacChess requires about 3509 K, but wants more memory for Transposition Tables.
MacChess uses transposition table sizes: 0.5 Mb, 1Mb, 2Mb, 4Mb, 8Mb, 16Mb, 32Mb, etc.
The "About MacChess" item in the Apple Menu shows the current table size.
If you have lots of memory (RAM), you can use it to give MacChess larger
transposition tables by using the Finder "Get Info" command in the File menu
on the MacChess application file to increase the "Preferred Size" to the desired
Transposition Table size plus 3509K.

Generally, doubling transposition table size increases strength by
roughly 8 rating points, and is most useful in the ending.
MacChess test results suggest that a 4000Kb table is optimal for the middle game. 

Memory problems:

If you are short on memory, reducing your screen color depth
(e.g., using "256 color" instead of "thousands of colors" will
reduce MacChess's memory requirements.

CASTLING

Castling is a move of the king, not the rook.
Just move the king two squares, and if castling is allowed, the rook will move by itself.

OPENING BOOK

The opening book version 3.0 contain 46,109 moves.

=============================================================================

WINDOWS

When MacChess is launched, the chess board is in the upper left corner of the screen.
There are five more windows:

 PV: Principal Variation.

   This shows the best continuation MacChess has found so far.

 Info: Information about the search:

 - score: MacChess's evaluation of the position
 
    If the score is -M4 then MacChess can be checkmated in 4 moves.
    If the score is 80, then MacChess thinks it stands about a Pawn better.

 - depth: Search depth so far, in normal and extended continuations.
 
    The first figure shows the search depth of MacChess and the second 
    figure shows the highest search depth with extensions.
 
- number mov: Number of moves considered
    The second figure shows the number of moves minus the moves leading to a checkmate.

 - move:
    This shows the candidate move being considered.
    The number that follows indicates how many candidate moves have been considered at this search depth.

 - nodes: The number of nodes which are visited.
          A node is a possible future position that is examined.

 - nod/sec.: The number of nodes examined per second.

 - phase of the game: 
   This shows what phase of the game MacChess thinks it is in:
      opening, middlegame or endgame.
   For example: KR-K indicates a King + Rook vs. King endgame. 

 Time:
   This window displays the clocks of white (left) and black (right).
   The times are displayed in hours:minutes:seconds format.
   For each player, it displays:

   Line 1: Time used so far (total, elapsed).
   Line 2: Time used on the latest move.
   Line 3: Time (average - per move) remaining before next time control.
   Line 4: Number of moves remaining until next time control.
   Line 5: Time remaining (total) until next time control.

   Above the clock display, the colors controlled by MacChess are shown:
     MacChess - Player,
     Player   - MacChess,
     Player   - Player,   or
     MacChess - MacChess.
   (You can't change "Player" to your name)

 Moves:
   The game score is displayed here.
   There are "VCR-style" control buttons on the bottom for controlling
   the monitor (game review) mode.
   The "VCR" buttons let you step through (>|) or animate (>) the game.
   To stop a game animation, click and hold on the pause (||) VCR button.

 Opening Book:
   At program launch, this displays the version number and the size of the opening book.
   During the game, the name of the opening played is shown here.
   The lower right corner of this window displays the move number where the game leaves 
   MacChess's opening book.

=============================================================================

MENUS

 Apple menu:
 - About MacChess:
    This displays:
      - the version number of MacChess
      - the version number and size of the openings book
      - the size of the transposition table
      - the name and address of the Author.

 - Freeware:
    This displays the restrictions on the distribution of MacChess, i.e.:

    MacChess 3.0 may be used freely, however it is copyrighted and is
    not in the public domain. It may not be distributed for profit or
    included in any CD-ROM collection of software without permission.
    Individuals, user groups and online services are encouraged to
    distribute MacChess 3.0 provided it is not modified in any way.

    I would appreciate it if you sent me email or a postcard to tell me
    what you think of MacChess 3.0.
    If there are any errors in the MacChess 3.0 program and its
    documents, please let me know. Thanks.

 File:
 - New Game:  [CMD-N] Starts a new game.
 - Open Game: [CMD-O] Opens a game stored in MacChess format.

 - Import:
      PGN: (Portable Game Notation) reads a standard PGN ASCII text game file.
              See the "Notes" at the end of this file for where to find PGN files.
              The name of the text file must end in .PGN.
      EPD: (Extended Position Description) reads a standard EPD chess position.
              The name of the text file must end in .EPD.

 - Save Game: [CMD-S] Saves a game in MacChess format.
 - Save:
    Game Text as Column: Saves the game text in ASCII format, one row per full-move.
    Game Text as Rows: Saves the game text in ASCII format in rows (compactly).
    Board Graphic: Saves the board position as a picture (PICT format).
    Board as Text: Saves the board position as an ASCII text representation.

  - Export:
      PGN: (Portable Game Notation) writes a standard PGN ASCII text file.
      EPD: (Extended Position Description) writes a standard EPD chess position.

 - Page Setup: Sets printer options
 - Print Game: [CMD-P] Prints the game text in at most three columns on a page. 
 - Print:
    Game Text as Rows: Prints the game text in rows.
    Board Graphic: Prints the board position in graphic format.
    Board as Text: Prints the board position as an ASCII text representation.

 - Quit: [CMD-Q] Exits the MacChess program.

 Edit:
 - Undo: [CMD-Z] Takes back a move. You may take back moves repeatedly.
 - Redo: [CMD-R] Plays the take back move again.

 - Cut:   [CMD-X] disabled.
 - Copy:  [CMD-C] disabled.
 - Paste: [CMD-V] disabled.
 - Clear:   disabled.

 - Preferences: [CMD-;]
    Show the Preferences dialog box and lets you select:
     Opening book    [ on/off ]
     Permanent Brain [ on/off ]
     Sound           [ on/off ]
     Color           [ color or black & white ]
     Piece movement  [ click-click or click & drag ]
     Notation        [ Short algebraic or long Algebraic ]

     Piece Sets:
      Classical:
      Modern:
      American:       by Richard A. Fowell.
      Cheque:         by Heinrich E. Roescheisen.
      Zuerich:        by Heinrich E. Roescheisen.

     Square Colors:
      Light Blue
      Green and Buff  by Richard A. Fowell.
      Light Brown
      Light Red
      Grey
      Blue
      Green
      Brown

 - Save Preferences
     All options in the preference menu will be saved.
   
 Players:
 - Play [CMD-G]
    Switches colors so MacChess has the move - also starts MacChess thinking.
    Also used in the monitor mode as MacChess must be playing from a fixed
    position.

 - Player vs MacChess:   Player (white) against MacChess (black).
 - MacChess vs Player:   MacChess (white) against Player (black).
 - Player vs Player:  Can also be used to reach a position through an opening you choose yourself.
 - MacChess vs MacChess: MacChess plays automatically against itself.

 Level: [CMD-L]
 - Set Level:
    Play Times: You can choose time per move and number of moves.
    Choice Times: You can choose the time per game and the number of moves.
       This can also be done for the time after the time control.
    Fixed depth: You can set a fixed search depth.
    Mate in: MacChess search to a mate in ... A separate mate-finding logic is
             invoked when the level chosen is one of the "Mate in" choices.
             This finds forced mates quickly and correctly if the depth is
             correct. It doesn't always find mates faster than the regular
             search, however.
    Infinite: MacChess search till you stop it with [command] F.
       Or a forced completion is reached - e.g., forced mate.
    Easy: Choose this level if you want an easy game.

 - Reset Time: [CMD-=]
     The clocks are set again. With a play time of one minute per move, the
     clock is set after 24 moves on 24 minutes.

 - Save Level Settings:
     MacChess remembers the time control setting.

 Options:
 - Game Info: [CMD-I]
     You can fill in the fields for the standard PGN tags and two lines of
     comments. This information is also saved. Only the White, Black and Info
     will be printed.

 - Game Pause: [CMD-H]
     The clocks will be stopped and we wait.

 - Hint:
     The move that MacChess thinks is your best continuation.
     Note: this is the second move of the Main Line shown in the PV window.
     Note: not available when the game is still in the MacChess opening book.
     
 - Force Move: [CMD-F]
     Make MacChess move immediately.

 - Setup Board: [CMD-U]
    You can set up any legitimate board position. Clicking on a piece makes
    the square empty, clicking on an empty square puts the piece on it.

     Items: 
       Icons: 6 Black and 6 White piece icons for placing pieces.
       Radio buttons: Use to select whether White or Black is to move.
       Buttons:
         Full Board:   Sets the Setup Board to the starting position.
         Empty Board:  Sets the Setup Board to and empty board
         Flip Board:   Rotates the Setup board 180 degrees.
         Cancel:       Exit Setup Board as though you never entered.
         Ok:           If the Setup Board position is legal, you can play.

 - Flip Board: [CMD-D] turns the game board 180 degrees, reversing
          whether White or Black is at the top.

 - Next Best Move:
     This option takes back MacChess's last move, and searches for the
     best different move. Note that repeating this option will simply
     make it switch back to the "best move". It will not look for a
     "third best move".
               
 Analyses:
 - Analyze Positions:
    This analyzes a series of positions and saves the results to disk.

    After selecting 'Analyze Positions' you progress through four dialog boxes: 
    1 - Set the Time.
    2 - Select the file that lists the position files (such as Serie CCR).
    3 - Select the name of your output file.
    4 - Confirm the information you have entered, and see how long the analysis
        will take.

 - Analyze EPD Positions:
    This do the same as Analyze Positions except it analyzes the positions stored
    in a file in .EPD format. Such files must be text files, and their names must
    end in .EPD. Of course, they must contain positions in proper .EPD format.
    Many such files are provided here.

   While MacChess is analyzing an Analysis Status window showing information about
   the test being run.
   For example, when testing a file of .EPD positions, it shows:
     - the name of the file
     - the "id" (identification field) and "bm" (best move) or "am" (move to avoid)
     - the number of the position being examined and the total number of positions in the file.

 - Stop Analyzing:
    Exit the analysis session.

 - Log:
    This save the search output to disk during a game. This will let you see
    what MacChess was thinking when you review the game later.

 Windows:
 - Hide(Show) PV Window    [CMD-1]
 - Hide(Show) Info Window  [CMD-2]
 - Hide(Show) Book Window  [CMD-3]
 - Hide(Show) Moves Window [CMD-4]
 - Hide(Show) Time Window  [CMD-5]

 - Save Window Positions
    Remember the window positions and whether they are open or closed.
    The next time you launch MacChess, the windows will come up the
    way you saved them.

=============================================================================

postal address:
               Wim van Beusekom
                Hogenbanweg 72d
                3028 GP Rotterdam
                The Netherlands.

email address:  beusekom@knoware.nl

============================================================================
Notes:

1) PGN is "Portable Game Notation, and EPD is "Extended Position Notation. These are standards respectively for storing games and positions so that other software can read them. Many chess-playing programs and chess database programs support this format. Large archives of PGN files can be found on AOL (go to keyword Chess, then click on "Chess Forum" and then "Chess Club Library "). On the Internet, there are over 250,000 games at ftp.pitt.edu under
group/student-activities/chess/Uploads (on the Web at <http://www.pitt.edu/~schach>). MacChess reads the first 500 games in a PGN file. If there are more, split the file into chunks with 500 games or less with a text editor like BBEdit Lite.

2) "Permanent Brain" means the computer thinks on your time, that its "Brain" is "Permanently" active. If MacChess beats you all the time, you may want to turn this off, and give MacChess a short time to think in the "Level" menu. Giving MacChess a small time without turning off Permanent Brain has much less effect, since it thinks on your move. If it still wins too often, use the "Setup" option so that it starts the game without one of its pieces - such as a Queen ("Queen odds") or Rook ("Rook odds"). As you improve, you can move from Queen odds to Rook odds to Knight odds to Pawn odds.

3) Information about Macintosh computer chess software and utilities can be found on the Web in the "Macintosh Chess FAQ" at:
<http://www.cybercity.hko.net/newyork/mhousho/index.html>

4) A MacChess web site is maintained by Richard A. Fowell. It includes download links, links to other Macintosh chess web pages, screen shots, etc. It is at:
<http://members.aol.com/Macchess/>

